Subject: Re: Audacity

From: Jean-Jacques Rétorré<[email-masked]>
Date: Tue, 02 Dec 2008 10:53:54 +0100

LIBON Victor a écrit :
> Re-bonsoir,
> 
> Je n'ai pas encore eu le temps de découvrir Audacity, cependant:
> 
> J'ai commencé par ouvrir un fichier ogg qui a été généré par OggConvert 
> à partir d'un fichier midi, lui-même généré par lilypond. J'ai pu le 
> lire ce ogg sans problèmes.
> 
> Ensuite, j'ai importé le fichier midi correspondant, et Audacity a pu le 
> lire. L'interface graphique est devenue différente (affichage d'un 
> clavier de piano)...
> 
> Enfin, j'ai lu vos e-mail, et avant de vous répondre que chez moi, ça 
> semblait fonctionner, j'ai essayé de commencer par importer le midi. Là, 
> effectivement, ça n'a pas marché.
> 
> Alors j'ai réessayé le ogg, puis le midi, et là, de nouveau le succès 
> était au rendez-vous.
> 

> 
> C'est peut-être un peu compliqué, mais si ça tourne comme ça, moi, ça me 
> convient.

La conversion des fichiers MIDI en ogg se fait rapidement et simplement 
en utilisant timidity en ligne de commande :

$ timidity -Ov1 -s 44100 fichier.midi

pour convertir le fichier fichier.midi en  fichier ogg
On peut tout aussi bien le convertir en wav pour une utilisation directe 
avec audacity

$  timidity -Ow fichier.midi

timidity -h pour voir la signification des options (ou man timidity)

(en général un programme qui interprète le MIDI fait appel à timidity, 
il vaut mieux s'adresser au bon Dieu qu'à ses saints ...)

La qualité de la conversion dépend de la fonte sonore utilisée par timidity.
La fonte freepats utilisée en général par défaut n'est pas d'une qualité 
extraordinaire.
La fonte Crisis GeneralMidi est bien meilleure, mais « pèse » 1 Go. On 
peut l'obtenir par bittorrent (fichier joint)
Ça peut prendre «un certain temps» de téléchargement. C'est un fichier 
libre de droits.
Il y a bien un site qui est censé fournir des détails, mais je n'arrive 
pas à y entrer. Il y a une animation flash de m... qui tourne, c'est tout.
http://www.bismutnetwork.com/Home.php

JJR.

-- 
Le mois de l'année où le politicien dit le moins de conneries c'est le
mois de février... car il n'y a que 28 jours.
	-+- Coluche -+-